Bug 31920 - ImageMagick's convert doesn't works with XWD image format
ImageMagick's convert doesn't works with XWD image format
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: ImageMagick (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-15 19:01 EST by Luis Gerardo de la Fraga
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-15 19:01:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Luis Gerardo de la Fraga 2001-03-15 19:01:50 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.75 [en] (X11; U; Linux 2.2.16-22 i686)


convert and display program fails with XWD format with the message:
display: XWD file format version mismatch (image) [No such file or
directory].
or
convert: XWD file format version mismatch (image) [No such file or
directory]

ImageMagick works perfectly with XWD format with previos
versions of RedHat, at least, 5.2, 6.0, 6.1 and 6.2

Reproducible: Always
Steps to Reproduce:
1.Create a XWD image:
  $ xwd -out image.xwd -xy
and click over any window
2. Try open o change image format:
  $ display image.xwd
  or
  $ convert image.xwd image.gif 

	

Actual Results:  $ display image.xwd
display: XWD file format version mismatch (image) [No such file or
directory].
$ convert image.xwd image.gif
convert: XWD file format version mismatch (image) [No such file or
directory].
convert: Missing an image file name.

Expected Results:  display musts show the image
and convert must traslate the image to GIF format without any
message
Comment 1 Bernhard Rosenkraenzer 2001-03-16 05:55:29 EST
This is fixed in the current version.

Note You need to log in before you can comment on or make changes to this bug.